import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpModule } from '@angular/http';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app.component';
import { AppRoutingModule } from './app-routing.module';
import { FiltersComponent } from './filters/filters.component';
import { ResultsComponent } from './results/results.component';
import { DetailsComponent } from './details/details.component';
import { FilterListsService } from './shared-services/filter-lists.service';
import { SearchService } from './shared-services/search.service';
import { SettingsService } from './shared-services/settings.service';
import { BusyIndicatorService } from './shared-services/busy-indicator.service';
import { DialogService } from './shared-services/dialog.service';
import { CatchAllListsService } from './shared-services/catch-all-lists.service';
import { RequestChangeService } from './shared-services/request-change.service';
import { IgniteUIModule } from 'igniteui-angular2';
import { NavBarComponent } from './nav-bar/nav-bar.component';
import { AboutComponent } from './about/about.component';
import { SupportComponent } from './support/support.component';
import { HomeComponent } from './home/home.component';
import { FilterSummaryComponent } from './filter-summary/filter-summary.component';
import { DialogComponent } from './dialog/dialog.component';
import { FooterComponent } from './footer/footer.component';
import { RequestChangeComponent } from './request-change/request-change.component';

@NgModule({
  declarations: [
    AppComponent,
    FiltersComponent,
    ResultsComponent,
    DetailsComponent,
    NavBarComponent,
    AboutComponent,
    SupportComponent,
    HomeComponent,
    FilterSummaryComponent,
    DialogComponent,
    FooterComponent,
    RequestChangeComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    AppRoutingModule,
    IgniteUIModule
  ],
  providers: [
    SettingsService,
    FilterListsService,
    SearchService,
    BusyIndicatorService,
    DialogService,
    CatchAllListsService,
    RequestChangeService
  ],
  bootstrap: [AppComponent]
})

export class AppModule { }
