import { Component } from '@angular/core';
import { SettingsService } from '../shared-services/settings.service';

@Component({
  selector: 'app-details',
  templateUrl: './details.component.html',
  styleUrls: ['./details.component.css']
})

export class DetailsComponent {
  public customerGeneralDataIndicator = 'fa-chevron-circle-up';
  public customerSalesAreaDataIndicator = 'fa-chevron-circle-up';
  public additionalDataIndicator = 'fa-chevron-circle-up';
  public blockingDataIndicator = 'fa-chevron-circle-up';
  public historyIndicator = 'fa-chevron-circle-up';

  constructor(public settingsService: SettingsService) { }

  public onCustomerGeneralDataLinkClick() {
    if (this.customerGeneralDataIndicator.endsWith('up')) {
      this.customerGeneralDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.customerGeneralDataIndicator = 'fa-chevron-circle-up';
    }
  }

  public onCustomerSalesAreaDataLinkClick() {
    if (this.customerSalesAreaDataIndicator.endsWith('up')) {
      this.customerSalesAreaDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.customerSalesAreaDataIndicator = 'fa-chevron-circle-up';
    }
  }

  public onAdditionalDataLinkClick() {
    if (this.additionalDataIndicator.endsWith('up')) {
      this.additionalDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.additionalDataIndicator = 'fa-chevron-circle-up';
    }
  }

  public onBlockingDataLinkClick() {
    if (this.blockingDataIndicator.endsWith('up')) {
      this.blockingDataIndicator = 'fa-chevron-circle-down';
    } else {
      this.blockingDataIndicator = 'fa-chevron-circle-up';
    }
  }

  public onHistoryLinkClick() {
    if (this.historyIndicator.endsWith('up')) {
      this.historyIndicator = 'fa-chevron-circle-down';
    } else {
      this.historyIndicator = 'fa-chevron-circle-up';
    }
  }
}
