import { Component, OnInit } from '@angular/core';
import { CatchAllListsService } from '../shared-services/catch-all-lists.service';
import { SettingsService } from '../shared-services/settings.service';

@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html',
  styleUrls: ['./footer.component.css']
})
export class FooterComponent implements OnInit {

  constructor(public catchAllListsService: CatchAllListsService, public settingsService: SettingsService) { }

  ngOnInit() { }

  public onDatabaseEnvSelected(databaseEnvName: string) {
    this.settingsService.setSelectedDatabaseEnv(databaseEnvName);
  }

  public onSharepointEnvSelected(sharepointEnvName: string) {
    this.settingsService.setSelectedSharepointEnv(sharepointEnvName);
  }
}
